summarylogtreecommitdiffstats
path: root/arptables.systemd
diff options
context:
space:
mode:
Diffstat (limited to 'arptables.systemd')
-rw-r--r--arptables.systemd21
1 files changed, 21 insertions, 0 deletions
diff --git a/arptables.systemd b/arptables.systemd
new file mode 100644
index 000000000000..6a40192570a7
--- /dev/null
+++ b/arptables.systemd
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+CONFIG_FILE='/etc/arptables.conf'
+
+case $1 in
+ start)
+ arptables-restore < "$CONFIG_FILE"
+ ;;
+ stop)
+ arptables-restore < /dev/null
+ ;;
+ save)
+ arptables-save > "$CONFIG_FILE"
+ ;;
+ *)
+ echo "usage: ${0##*/} {start|stop|save}" >&2
+ exit 1
+ ;;
+esac
+
+# vim:set ts=2 sw=2 ft=sh et: